LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XDigestContext Interface Reference

This interface allows to generate the digest. More...

`import"XDigestContext.idl";`

Inheritance diagram for XDigestContext:

## Public Member Functions
void | updateDigest ([in] sequence< byte > aData) raises ( ::com::sun::star::lang::DisposedException )
| update the digest with the given data. More...
sequence< byte > | finalizeDigestAndDispose () raises ( ::com::sun::star::lang::DisposedException )
| finalizes digest and disposes context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface allows to generate the digest.

The algorithm to generate the digest is specified on object creation.

See also
  XDigestContextSupplier

Since
  OOo 3.4

## Member Function Documentation

## ◆ finalizeDigestAndDispose()

sequence<byte> finalizeDigestAndDispose | ( |  | ) |
raises | ( | ::com::sun::star::lang::DisposedException
| ) |  |

finalizes digest and disposes context.

## ◆ updateDigest()

void updateDigest | ( | [in] sequence< byte > | aData | ) |
raises | ( | ::com::sun::star::lang::DisposedException
| ) |  |

update the digest with the given data.

Parameters

  aData | data that should be used to update the digest

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XDigestContext.idl